Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455146 - suggestion, split c++ dependencies to separate package
Summary: suggestion, split c++ dependencies to separate package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-12 19:31 UTC by Noa Resare
Modified: 2011-07-26 10:40 UTC (History)
2 users (show)

Fixed In Version: gnutls-2.12.7-2.fc16
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-26 10:40:44 UTC


Attachments (Terms of Use)

Description Noa Resare 2008-07-12 19:31:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):
2.4.1-1

Since gnutls includes a c++ wrapper nowdays the gnutls base package is dependent on libstdc++.so.6

I use gnutls in some environments when it is nice to keep the number of installed packages to a 
minimum, and so far very few use the c++ part of gnutls.

Because of this it would be oh so nice to have the c++ library libgnutlsxx.so.* in a separate 
subpackage.

Comment 1 Christopher D. Stover 2008-10-25 17:30:06 UTC
This bug has been triaged

Comment 2 Tomas Mraz 2011-07-26 10:40:44 UTC
Fixed. I split only the base package and left the -devel package as is as the -devel environment will most probably contain the c++ libraries anyway.


Note You need to log in before you can comment on or make changes to this bug.